> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riqra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener dirección de cliente

> Obtiene una dirección de un cliente por su ID.



## OpenAPI

````yaml /api/openapi.json get /customers/{customerId}/addresses/{addressId}
openapi: 3.1.0
info:
  title: Riqra API
  version: '1.0'
  contact:
    email: soporte@riqra.com
    url: https://www.riqra.com/
    name: Riqra Support
  description: >-
    Usando nuestra API puedes integrar tu ERP o tu sistema actual de
    administración con [Riqra](https://www.riqra.com/).
servers:
  - url: https://sandbox.api.riqra.com
    description: Sandbox
  - description: Producción
    url: https://api.riqra.com
security:
  - API Key: []
tags:
  - name: Almacenes
  - name: Banners
  - name: Categorías
  - name: Clientes
  - name: Clientes - Direcciones
  - name: Cobertura
  - name: Comercio
  - name: Cupones
  - name: Inventario
  - name: Líneas de Crédito
  - name: Lista de Precios
  - name: Lista de Precios - Precios
  - name: Marcas
  - name: Pedidos
  - name: Productos
  - name: Productos Sugeridos
  - name: Promociones
  - name: Stock
  - name: Subcategorías
  - name: Variantes
paths:
  /customers/{customerId}/addresses/{addressId}:
    parameters:
      - schema:
          type: string
        name: customerId
        in: path
        required: true
      - schema:
          type: string
        name: addressId
        in: path
        required: true
    get:
      tags:
        - Clientes - Direcciones
      summary: Obtener dirección de cliente
      description: Obtiene una dirección de un cliente por su ID.
      operationId: get-customers-customerId-addresses-addressId
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  data:
                    type: object
                    required:
                      - id
                      - contact
                      - line
                      - apartment
                      - reference
                      - erpCode
                      - zipCode
                      - extraFields
                      - isDefault
                      - createdAt
                      - coordinates
                      - localityId
                    properties:
                      id:
                        type: number
                      contact:
                        type: object
                        properties:
                          name:
                            type: string
                            minLength: 1
                          phone:
                            type: string
                            minLength: 1
                          documentNumber:
                            type: string
                          email:
                            type: string
                        required:
                          - name
                          - phone
                          - documentNumber
                          - email
                      line:
                        type: string
                        minLength: 1
                      apartment:
                        type: string
                        minLength: 1
                      reference:
                        type: string
                      erpCode:
                        type: string
                        minLength: 1
                      zipCode:
                        type: string
                      extraFields:
                        type: string
                      isDefault:
                        type: boolean
                      localityId:
                        type: number
                      createdAt:
                        type: string
                        minLength: 1
                      coordinates:
                        type: array
                        minItems: 2
                        maxItems: 2
                        items:
                          type: number
                required:
                  - data
        '404':
          description: Not Found
components:
  securitySchemes:
    API Key:
      name: api-key
      type: apiKey
      in: header
      description: >-
        Todas las llamadas al API tienen que contener este header junto a la
        clave para poder autenticar y autorizar al cliente.

````